---
layout: default
title: Core Concepts
---

# Core Concepts

TinyTune is built around several key concepts that work together to create powerful and flexible LLM workflows. Understanding these concepts is crucial for effectively using the library.

## Main Components

1. [LLM Context](llm-context.md): Manages the interaction with the language model.
2. [Prompt Jobs](prompt-jobs.md): Encapsulate specific tasks or actions within the pipeline.
3. [Pipelines](pipelines.md): Manage and execute sequences of prompt jobs.
4. [Tools](tools.md): Extend the capabilities of your language model.

Each of these components plays a vital role in creating efficient and modular LLM workflows. Click on each link to learn more about how they work and how to use them effectively in your TinyTune projects.
