---
layout: default
title: TinyTune Documentation
---

# Welcome to TinyTune

TinyTune is a lightweight, flexible library designed for prompt tuning and orchestrating complex interactions with Language Models (LLMs). It enables the use of Python functions as prompt sequences within an LLM-agnostic pipeline, allowing for modular and organized development of prompt-based workflows.

## Key Features

- LLM-agnostic design
- Prompt Jobs for encapsulating tasks
- Pipelines for managing sequences of jobs
- Flexible context management
- Tool integration for extending LLM capabilities

## Quick Navigation

- [Installation](installation.md)
- [Getting Started](getting-started.md)
- [Core Concepts](core-concepts/)
- [Advanced Usage](advanced-usage/)
- [Best Practices](best-practices.md)
- [Troubleshooting](troubleshooting.md)
- [API Reference](api-reference/)
