---
layout: default
title: Installation
---

# Installation

To install TinyTune, you can use pip, the Python package installer.

## Requirements

- Python 3.7 or higher

## Installation Steps

1. Open your terminal or command prompt.

2. Run the following command:

   ```bash
   pip install tinytune
   ```

3. Verify the installation by running:

   ```bash
   python -c "import tinytune; print(tinytune.__version__)"
   ```

   This should print the version number of TinyTune.

## Development Installation

If you want to contribute to TinyTune or use the latest development version, you can install it directly from the GitHub repository:

```bash
pip install git+https://github.com/rishit-singh/tinytune.git
```

## Next Steps

Now that you have TinyTune installed, you can proceed to the [Getting Started](getting-started.md) guide to begin using the library.
